Package org.eclipse.equinox.p2.metadata

## Interface IInstallableUnitFragment

All Superinterfaces:
  `Comparable<IInstallableUnit>`, `IInstallableUnit`, `IVersionedId`

    public interface IInstallableUnitFragment
    extends IInstallableUnit

Represents a fragment that contributes additional requirements, capabilities, and other properties to some host installable unit. Installable unit fragments are not directly installed, but rather they alter the metadata of other installable units.

Instances of this class are handle objects and do not necessarily reflect entities that exist in any particular profile or repository. These handle objects can be created using `MetadataFactory`.

Since:
  2.0
See Also:
  `MetadataFactory.createInstallableUnitFragment(org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitFragmentDescription)`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.equinox.p2.metadata.IInstallableUnit

`NAMESPACE_IU_ID, PROP_BUNDLE_LOCALIZATION, PROP_CONTACT, PROP_DESCRIPTION, PROP_DESCRIPTION_URL, PROP_DOC_URL, PROP_ICON, PROP_NAME, PROP_PARTIAL_IU, PROP_PROVIDER`

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<IRequirement>` `getHost()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.equinox.p2.metadata.IInstallableUnit

`equals, getArtifacts, getCopyright, getCopyright, getFilter, getFragments, getLicenses, getLicenses, getMetaRequirements, getProperties, getProperty, getProperty, getProvidedCapabilities, getRequirements, getTouchpointData, getTouchpointType, getUpdateDescriptor, isResolved, isSingleton, satisfies, unresolved`

### Methods inherited from interface org.eclipse.equinox.p2.metadata.IVersionedId

`getId, getVersion`

### Method Detail

#### getHost

    Collection<IRequirement> getHost()